aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/6/build_functions.bash
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/ebuild/6/build_functions.bash')
-rw-r--r--paludis/repositories/e/ebuild/6/build_functions.bash38
1 files changed, 38 insertions, 0 deletions
diff --git a/paludis/repositories/e/ebuild/6/build_functions.bash b/paludis/repositories/e/ebuild/6/build_functions.bash
index b51b5f808..ede818959 100644
--- a/paludis/repositories/e/ebuild/6/build_functions.bash
+++ b/paludis/repositories/e/ebuild/6/build_functions.bash
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
# vim: set sw=4 sts=4 et :
+# Copyright (c) 2006, 2007, 2009 Ciaran McCreesh
# Copyright (c) 2015 David Leverton
#
# This file is part of the Paludis package manager. Paludis is free software;
@@ -23,3 +24,40 @@ einstall()
die "einstall is banned in EAPI 6"
}
+einstalldocs()
+{
+ local DOCDESTTREE=
+ if ! declare -p DOCS >/dev/null 2>&1 ; then
+ local d
+ for d in README* ChangeLog AUTHORS NEWS TODO CHANGES \
+ THANKS BUGS FAQ CREDITS CHANGELOG ; do
+ if [[ -s "${d}" ]] ; then
+ dodoc "${d}" || return $?
+ fi
+ done
+ elif declare -p DOCS | grep -q '^declare -a ' ; then
+ if [[ ${#DOCS[@]} -gt 0 ]] ; then
+ dodoc -r "${DOCS[@]}" || return $?
+ fi
+ else
+ if [[ -n ${DOCS} ]] ; then
+ dodoc -r ${DOCS} || return $?
+ fi
+ fi
+
+ DOCDESTTREE=html
+ if ! declare -p HTML_DOCS >/dev/null 2>&1 ; then
+ :
+ elif declare -p HTML_DOCS | grep -q '^declare -a ' ; then
+ if [[ ${#HTML_DOCS[@]} -gt 0 ]] ; then
+ dodoc -r "${HTML_DOCS[@]}" || return $?
+ fi
+ else
+ if [[ -n ${HTML_DOCS} ]] ; then
+ dodoc -r ${HTML_DOCS} || return $?
+ fi
+ fi
+
+ return 0
+}
+